@import './config';
@import 'reset';
$fon-color: #F1EDED7F;

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  overflow-x: hidden;
  font-family: $font-stack;
  background-color: $fon-color;
}

main {
  padding-top: 20px;

  @include tablet {
    padding-top: 80px;
  }

  @include mobile {
    padding-top: 128px;
  }
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding-right: 10px;
  padding-left: 10px;
}

.title {
  text-align: center;
  font-size: 36px;
  font-weight: bold;
  margin-top: 100px;
  color: $primary-color;
}

.overflow-hidden {
  overflow: hidden;
}

button {
  font-family: inherit;
  background-color: transparent;
  border: 0;
  cursor: pointer;

  &:focus {
    outline: none;
  }
}

input {
  &:focus {
    outline: none;
  }
}

select, textarea {
  &:focus-visible {
    outline: none;
  }
}

a {
  text-decoration: none;
}